Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Options

Options methods are meant for managing options, including getting option chains, greeks and more. You can see a list of them below:

`get_chain`(chains[, exchange]) | Returns option chain for a particular exchange.
`get_chains`(asset) | Returns option chains.
`get_greeks`(asset[, asset_price, ...]) | Returns the greeks for the option asset at the current bar.
`get_strikes`(asset) | Returns a list of strikes for a give underlying asset.
`get_expiration`(chains[, exchange]) | Returns expiration dates for an option chain for a particular exchange.
`get_multiplier`(chains[, exchange]) | Returns option chain for a particular exchange.
`options_expiry_to_datetime_date`(date) | Converts an IB Options expiry to datetime.date.
`get_option_expiration_after_date`(dt) | Returns the next option expiration date after the given date.